# Visualization
TKV2d
AIS2D

# AIS2D_SequenceNodeOfSequenceOfPrimArchit Class Reference

`#include <AIS2D_SequenceNodeOfSequenceOfPrimArchit.hxx>`

## Public Member Functions

| AIS2D_SequenceNodeOfSequenceOfPrimArchit (const Handle(AIS2D_PrimitiveArchit)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_AIS2D_PrimitiveArchit & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS2D_PrimitiveArchit | myValue

## Constructor & Destructor Documentation

AIS2D_SequenceNodeOfSequenceOfPrimArchit::AIS2D_SequenceNodeOfSequenceOfPrimArchit | ( | const Handle(AIS2D_PrimitiveArchit)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const AIS2D_SequenceNodeOfSequenceOfPrimArchit::Handle | ( | Standard_Type |  | ) | const

Handle_AIS2D_PrimitiveArchit& AIS2D_SequenceNodeOfSequenceOfPrimArchit::Value | ( |  | ) | const

## Field Documentation

Handle_AIS2D_PrimitiveArchit AIS2D_SequenceNodeOfSequenceOfPrimArchit::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS2D_SequenceNodeOfSequenceOfPrimArchit.hxx